---
wsId: bittrex
title: Bittrex | Buy Bitcoin & Crypto
altTitle: 
authors:
- leo
users: 500000
appId: com.bittrex.trade
appCountry: 
released: 2019-12-19
updated: 2022-04-18
version: 1.19.0
stars: 4.1
ratings: 5144
reviews: 562
size: 
website: https://global.bittrex.com
repository: 
issue: 
icon: com.bittrex.trade.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-02-09
signer: 
reviewArchive: 
twitter: BittrexGlobal
social:
- https://www.facebook.com/BittrexGlobal
redirect_from: 

---

This app is an interface to a trading platform:

> The Bittrex Global mobile app allows you to take the premiere crypto trading
  platform with you wherever you go.

As such, it lets you access your account with them but not custody your own
coins and therefore is **not verifiable**.
